variables:
  LAVA_SERVER: validation.linaro.org
  LAVA_JOB_DEFINITION: lava/lava-qemu-pipeline-first-job.yml
  SQUAD_SERVER: https://qa-reports.linaro.org
  SQUAD_GROUP: ~leonardo.sandoval
  SQUAD_PROJECT: codelinaro

squad-qemu:
  variables:
    SQUAD_VERSION: $CI_PIPELINE_ID
  before_script:
    - apt update
    - apt install -y curl jq
  script:
    - |
      for job in $(seq 2); do
        TESTJOB_ID="$(curl --header "Auth-Token: $SQUAD_TOKEN" \
        --form backend=$LAVA_SERVER  \
        --form definition=@$LAVA_JOB_DEFINITION \
        $SQUAD_SERVER/api/submitjob/$SQUAD_GROUP/$SQUAD_PROJECT/$SQUAD_VERSION/gitlab-ci-env)"
        curl $SQUAD_SERVER/api/testjobs/$TESTJOB_ID/ | jq .
      done
    - echo $SQUAD_SERVER/$SQUAD_GROUP/$SQUAD_PROJECT/build/$SQUAD_VERSION/
